---
title: llarp::IOutboundSessionMaker

---

# llarp::IOutboundSessionMaker





Inherited by [llarp::OutboundSessionMaker](Classes/structllarp_1_1OutboundSessionMaker.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IOutboundSessionMaker](Classes/structllarp_1_1IOutboundSessionMaker.md#function-~ioutboundsessionmaker)**() =default |
| virtual bool | **[OnSessionEstablished](Classes/structllarp_1_1IOutboundSessionMaker.md#function-onsessionestablished)**([ILinkSession](Classes/structllarp_1_1ILinkSession.md) * session) =0 |
| virtual void | **[OnConnectTimeout](Classes/structllarp_1_1IOutboundSessionMaker.md#function-onconnecttimeout)**([ILinkSession](Classes/structllarp_1_1ILinkSession.md) * session) =0 |
| virtual void | **[CreateSessionTo](Classes/structllarp_1_1IOutboundSessionMaker.md#function-createsessionto)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & router, RouterCallback on_result) =0 |
| virtual void | **[CreateSessionTo](Classes/structllarp_1_1IOutboundSessionMaker.md#function-createsessionto)**(const [RouterContact](Classes/structllarp_1_1RouterContact.md) & rc, RouterCallback on_result) =0 |
| virtual bool | **[HavePendingSessionTo](Classes/structllarp_1_1IOutboundSessionMaker.md#function-havependingsessionto)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & router) const =0 |
| virtual void | **[ConnectToRandomRouters](Classes/structllarp_1_1IOutboundSessionMaker.md#function-connecttorandomrouters)**(int numDesired) =0 |
| virtual util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1IOutboundSessionMaker.md#function-extractstatus)**() const =0 |
| virtual bool | **[ShouldConnectTo](Classes/structllarp_1_1IOutboundSessionMaker.md#function-shouldconnectto)**(const [RouterID](Classes/structllarp_1_1RouterID.md) & router) const =0 |

## Public Functions Documentation

### function ~IOutboundSessionMaker

```cpp
virtual ~IOutboundSessionMaker() =default
```


### function OnSessionEstablished

```cpp
virtual bool OnSessionEstablished(
    ILinkSession * session
) =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::OnSessionEstablished](Classes/structllarp_1_1OutboundSessionMaker.md#function-onsessionestablished)


### function OnConnectTimeout

```cpp
virtual void OnConnectTimeout(
    ILinkSession * session
) =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::OnConnectTimeout](Classes/structllarp_1_1OutboundSessionMaker.md#function-onconnecttimeout)


### function CreateSessionTo

```cpp
virtual void CreateSessionTo(
    const RouterID & router,
    RouterCallback on_result
) =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::CreateSessionTo](Classes/structllarp_1_1OutboundSessionMaker.md#function-createsessionto)


### function CreateSessionTo

```cpp
virtual void CreateSessionTo(
    const RouterContact & rc,
    RouterCallback on_result
) =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::CreateSessionTo](Classes/structllarp_1_1OutboundSessionMaker.md#function-createsessionto)


### function HavePendingSessionTo

```cpp
virtual bool HavePendingSessionTo(
    const RouterID & router
) const =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::HavePendingSessionTo](Classes/structllarp_1_1OutboundSessionMaker.md#function-havependingsessionto)


### function ConnectToRandomRouters

```cpp
virtual void ConnectToRandomRouters(
    int numDesired
) =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::ConnectToRandomRouters](Classes/structllarp_1_1OutboundSessionMaker.md#function-connecttorandomrouters)


### function ExtractStatus

```cpp
virtual util::StatusObject ExtractStatus() const =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::ExtractStatus](Classes/structllarp_1_1OutboundSessionMaker.md#function-extractstatus)


### function ShouldConnectTo

```cpp
virtual bool ShouldConnectTo(
    const RouterID & router
) const =0
```


**Reimplemented by**: [llarp::OutboundSessionMaker::ShouldConnectTo](Classes/structllarp_1_1OutboundSessionMaker.md#function-shouldconnectto)


-------------------------------

Updated on 2023-01-31 at 18:48:37 +0000