---
title: llarp::dht::LocalPublishServiceJob

---

# llarp::dht::LocalPublishServiceJob





Inherits from [llarp::dht::PublishServiceJob](Classes/structllarp_1_1dht_1_1PublishServiceJob.md), [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LocalPublishServiceJob](Classes/structllarp_1_1dht_1_1LocalPublishServiceJob.md#function-localpublishservicejob)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer, const [PathID_t](Classes/structllarp_1_1PathID__t.md) & fromID, uint64_t txid, const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, uint64_t relayOrder) |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1LocalPublishServiceJob.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[localPath](Classes/structllarp_1_1dht_1_1LocalPublishServiceJob.md#variable-localpath)**  |
| uint64_t | **[txid](Classes/structllarp_1_1dht_1_1LocalPublishServiceJob.md#variable-txid)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::PublishServiceJob](Classes/structllarp_1_1dht_1_1PublishServiceJob.md)**

|                | Name           |
| -------------- | -------------- |
| | **[PublishServiceJob](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-publishservicejob)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, uint64_t relayOrder) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-validate)**(const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |

**Public Attributes inherited from [llarp::dht::PublishServiceJob](Classes/structllarp_1_1dht_1_1PublishServiceJob.md)**

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[relayOrder](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#variable-relayorder)**  |
| [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) | **[introset](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#variable-introset)**  |

**Public Functions inherited from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)**(const V & value) const =0 |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) =0 |

**Public Attributes inherited from [llarp::dht::TX< TXOwner, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function LocalPublishServiceJob

```cpp
LocalPublishServiceJob(
    const TXOwner & peer,
    const PathID_t & fromID,
    uint64_t txid,
    const service::EncryptedIntroSet & introset,
    AbstractContext * ctx,
    uint64_t relayOrder
)
```


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::PublishServiceJob::SendReply](Classes/structllarp_1_1dht_1_1PublishServiceJob.md#function-sendreply)


## Public Attributes Documentation

### variable localPath

```cpp
PathID_t localPath;
```


### variable txid

```cpp
uint64_t txid;
```


-------------------------------

Updated on 2023-01-31 at 18:48:37 +0000