---
title: llarp::huint_t

---

# llarp::huint_t



 [More...](#detailed-description)

## Public Types

|                | Name           |
| -------------- | -------------- |
| using std::vector< uint8_t > | **[V6Container](Classes/structllarp_1_1huint__t.md#using-v6container)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator&](Classes/structllarp_1_1huint__t.md#function-operator&)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator|](Classes/structllarp_1_1huint__t.md#function-operator|)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator-](Classes/structllarp_1_1huint__t.md#function-operator-)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator+](Classes/structllarp_1_1huint__t.md#function-operator+)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator^](Classes/structllarp_1_1huint__t.md#function-operator^)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator~](Classes/structllarp_1_1huint__t.md#function-operator~)**() const |
| constexpr [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator<<](Classes/structllarp_1_1huint__t.md#function-operator<<)**(int n) const |
| [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator++](Classes/structllarp_1_1huint__t.md#function-operator++)**() |
| [huint_t](Classes/structllarp_1_1huint__t.md) | **[operator--](Classes/structllarp_1_1huint__t.md#function-operator--)**() |
| constexpr bool | **[operator<](Classes/structllarp_1_1huint__t.md#function-operator<)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr bool | **[operator!=](Classes/structllarp_1_1huint__t.md#function-operator!=)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| constexpr bool | **[operator==](Classes/structllarp_1_1huint__t.md#function-operator==)**([huint_t](Classes/structllarp_1_1huint__t.md) x) const |
| void | **[ToV6](Classes/structllarp_1_1huint__t.md#function-tov6)**(V6Container & c) |
| std::string | **[ToString](Classes/structllarp_1_1huint__t.md#function-tostring)**() const |
| bool | **[FromString](Classes/structllarp_1_1huint__t.md#function-fromstring)**(const std::string & ) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| UInt_t | **[h](Classes/structllarp_1_1huint__t.md#variable-h)**  |

## Detailed Description

```cpp
template <typename UInt_t >
struct llarp::huint_t;
```

## Public Types Documentation

### using V6Container

```cpp
using llarp::huint_t< UInt_t >::V6Container =  std::vector<uint8_t>;
```


## Public Functions Documentation

### function operator&

```cpp
inline constexpr huint_t operator&(
    huint_t x
) const
```


### function operator|

```cpp
inline constexpr huint_t operator|(
    huint_t x
) const
```


### function operator-

```cpp
inline constexpr huint_t operator-(
    huint_t x
) const
```


### function operator+

```cpp
inline constexpr huint_t operator+(
    huint_t x
) const
```


### function operator^

```cpp
inline constexpr huint_t operator^(
    huint_t x
) const
```


### function operator~

```cpp
inline constexpr huint_t operator~() const
```


### function operator<<

```cpp
inline constexpr huint_t operator<<(
    int n
) const
```


### function operator++

```cpp
inline huint_t operator++()
```


### function operator--

```cpp
inline huint_t operator--()
```


### function operator<

```cpp
inline constexpr bool operator<(
    huint_t x
) const
```


### function operator!=

```cpp
inline constexpr bool operator!=(
    huint_t x
) const
```


### function operator==

```cpp
inline constexpr bool operator==(
    huint_t x
) const
```


### function ToV6

```cpp
void ToV6(
    V6Container & c
)
```


### function ToString

```cpp
std::string ToString() const
```


### function FromString

```cpp
bool FromString(
    const std::string & 
)
```


## Public Attributes Documentation

### variable h

```cpp
UInt_t h;
```


-------------------------------

Updated on 2023-01-31 at 18:48:37 +0000