---
title: llarp::routing::UpdateExitMessage

---

# llarp::routing::UpdateExitMessage





Inherits from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)

## Public Types

|                | Name           |
| -------------- | -------------- |
| using [llarp::AlignedBuffer](Classes/structllarp_1_1AlignedBuffer.md)< 16 > | **[Nonce_t](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#using-nonce-t)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[Sign](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#function-sign)**(const [llarp::SecretKey](Classes/structllarp_1_1SecretKey.md) & sk) |
| bool | **[Verify](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#function-verify)**(const [llarp::PubKey](Classes/structllarp_1_1PubKey.md) & pk) const |
| virtual bool | **[BEncode](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) override |
| virtual bool | **[HandleMessage](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#function-handlemessage)**([IMessageHandler](Classes/structllarp_1_1routing_1_1IMessageHandler.md) * h, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * r) const override |
| virtual void | **[Clear](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#function-clear)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) | **[P](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#variable-p)**  |
| uint64_t | **[T](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#variable-t)**  |
| [Nonce_t](Classes/structllarp_1_1AlignedBuffer.md) | **[Y](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#variable-y)**  |
| [llarp::Signature](Classes/structllarp_1_1Signature.md) | **[Z](Classes/structllarp_1_1routing_1_1UpdateExitMessage.md#variable-z)**  |

## Additional inherited members

**Public Functions inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| | **[IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-imessage)**() =default |
| virtual | **[~IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-~imessage)**() =default |
| bool | **[operator<](Classes/structllarp_1_1routing_1_1IMessage.md#function-operator<)**(const [IMessage](Classes/structllarp_1_1routing_1_1IMessage.md) & other) const |

**Public Attributes inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[from](Classes/structllarp_1_1routing_1_1IMessage.md#variable-from)**  |
| uint64_t | **[S](Classes/structllarp_1_1routing_1_1IMessage.md#variable-s)**  |
| uint64_t | **[version](Classes/structllarp_1_1routing_1_1IMessage.md#variable-version)**  |


## Public Types Documentation

### using Nonce_t

```cpp
using llarp::routing::UpdateExitMessage::Nonce_t =  llarp::AlignedBuffer<16>;
```


## Public Functions Documentation

### function Sign

```cpp
bool Sign(
    const llarp::SecretKey & sk
)
```


### function Verify

```cpp
bool Verify(
    const llarp::PubKey & pk
) const
```


### function BEncode

```cpp
virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::routing::IMessage::BEncode](Classes/structllarp_1_1routing_1_1IMessage.md#function-bencode)


### function DecodeKey

```cpp
virtual bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * buf
) override
```


**Reimplements**: [llarp::routing::IMessage::DecodeKey](Classes/structllarp_1_1routing_1_1IMessage.md#function-decodekey)


### function HandleMessage

```cpp
virtual bool HandleMessage(
    IMessageHandler * h,
    AbstractRouter * r
) const override
```


**Reimplements**: [llarp::routing::IMessage::HandleMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-handlemessage)


### function Clear

```cpp
inline virtual void Clear() override
```


**Reimplements**: [llarp::routing::IMessage::Clear](Classes/structllarp_1_1routing_1_1IMessage.md#function-clear)


## Public Attributes Documentation

### variable P

```cpp
llarp::PathID_t P;
```


### variable T

```cpp
uint64_t T;
```


### variable Y

```cpp
Nonce_t Y;
```


### variable Z

```cpp
llarp::Signature Z;
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000