---
title: llarp/dht/localtaglookup.hpp

---

# llarp/dht/localtaglookup.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::dht](Namespaces/namespacellarp_1_1dht.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::dht::LocalTagLookup](Classes/structllarp_1_1dht_1_1LocalTagLookup.md)**  |




## Source code

```cpp
#ifndef LLARP_DHT_LOOKUPTAGLOOKUP
#define LLARP_DHT_LOOKUPTAGLOOKUP

#include "taglookup.hpp"

namespace llarp
{
  namespace dht
  {
    struct LocalTagLookup : public TagLookup
    {
      PathID_t localPath;

      LocalTagLookup(
          const PathID_t& path, uint64_t txid, const service::Tag& target, AbstractContext* ctx);

      void
      SendReply() override;
    };
  }  // namespace dht
}  // namespace llarp

#endif
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000
