---
title: llarp::rpc::RPCServer

---

# llarp::rpc::RPCServer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-rpcserver)**(LMQ_ptr , [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[~RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-~rpcserver)**() =default |
| void | **[HandleLogsSubRequest](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-handlelogssubrequest)**(oxenmq::Message & m) |
| void | **[AddCategories](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-addcategories)**() |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Halt](Classes/structllarp_1_1rpc_1_1Halt.md) & halt) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Version](Classes/structllarp_1_1rpc_1_1Version.md) & version) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Status](Classes/structllarp_1_1rpc_1_1Status.md) & status) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([GetStatus](Classes/structllarp_1_1rpc_1_1GetStatus.md) & getstatus) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([QuicConnect](Classes/structllarp_1_1rpc_1_1QuicConnect.md) & quicconnect) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([QuicListener](Classes/structllarp_1_1rpc_1_1QuicListener.md) & quiclistener) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([LookupSnode](Classes/structllarp_1_1rpc_1_1LookupSnode.md) & lookupsnode) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([MapExit](Classes/structllarp_1_1rpc_1_1MapExit.md) & mapexit) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([ListExits](Classes/structllarp_1_1rpc_1_1ListExits.md) & listexits) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([UnmapExit](Classes/structllarp_1_1rpc_1_1UnmapExit.md) & unmapexit) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([SwapExits](Classes/structllarp_1_1rpc_1_1SwapExits.md) & swapexits) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([DNSQuery](Classes/structllarp_1_1rpc_1_1DNSQuery.md) & dnsquery) |
| void | **[invoke](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-invoke)**([Config](Classes/structllarp_1_1rpc_1_1Config.md) & config) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| LMQ_ptr | **[m_LMQ](Classes/classllarp_1_1rpc_1_1RPCServer.md#variable-m-lmq)**  |
| [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & | **[m_Router](Classes/classllarp_1_1rpc_1_1RPCServer.md#variable-m-router)**  |
| oxen::log::PubsubLogger | **[log_subs](Classes/classllarp_1_1rpc_1_1RPCServer.md#variable-log-subs)**  |

## Public Functions Documentation

### function RPCServer

```cpp
explicit RPCServer(
    LMQ_ptr ,
    AbstractRouter & 
)
```


### function ~RPCServer

```cpp
~RPCServer() =default
```


### function HandleLogsSubRequest

```cpp
void HandleLogsSubRequest(
    oxenmq::Message & m
)
```


### function AddCategories

```cpp
void AddCategories()
```


### function invoke

```cpp
void invoke(
    Halt & halt
)
```


### function invoke

```cpp
void invoke(
    Version & version
)
```


### function invoke

```cpp
void invoke(
    Status & status
)
```


### function invoke

```cpp
void invoke(
    GetStatus & getstatus
)
```


### function invoke

```cpp
void invoke(
    QuicConnect & quicconnect
)
```


### function invoke

```cpp
void invoke(
    QuicListener & quiclistener
)
```


### function invoke

```cpp
void invoke(
    LookupSnode & lookupsnode
)
```


### function invoke

```cpp
void invoke(
    MapExit & mapexit
)
```


### function invoke

```cpp
void invoke(
    ListExits & listexits
)
```


### function invoke

```cpp
void invoke(
    UnmapExit & unmapexit
)
```


### function invoke

```cpp
void invoke(
    SwapExits & swapexits
)
```


### function invoke

```cpp
void invoke(
    DNSQuery & dnsquery
)
```


### function invoke

```cpp
void invoke(
    Config & config
)
```


## Public Attributes Documentation

### variable m_LMQ

```cpp
LMQ_ptr m_LMQ;
```


### variable m_Router

```cpp
AbstractRouter & m_Router;
```


### variable log_subs

```cpp
oxen::log::PubsubLogger log_subs;
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000