---
title: llarp::dht::PublishIntroMessage

---

# llarp::dht::PublishIntroMessage





Inherits from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PublishIntroMessage](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#function-publishintromessage)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & from, bool relayed_) |
| | **[PublishIntroMessage](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#function-publishintromessage)**(const [llarp::service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset_, uint64_t tx, bool relayed_, uint64_t relayOrder_) |
| | **[~PublishIntroMessage](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#function-~publishintromessage)**() override |
| virtual bool | **[BEncode](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * val) override |
| bool | **[HandleMessage](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#function-handlemessage)**([llarp_dht_context](Classes/structllarp__dht__context.md) * ctx, std::vector< std::unique_ptr< [IMessage](Classes/structllarp_1_1dht_1_1IMessage.md) >> & replies) const override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| const uint64_t | **[MaxPropagationDepth](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#variable-maxpropagationdepth)**  |
| [llarp::service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) | **[introset](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#variable-introset)**  |
| bool | **[relayed](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#variable-relayed)**  |
| uint64_t | **[relayOrder](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#variable-relayorder)**  |
| uint64_t | **[txID](Classes/structllarp_1_1dht_1_1PublishIntroMessage.md#variable-txid)**  |

## Additional inherited members

**Public Types inherited from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| using std::unique_ptr< [IMessage](Classes/structllarp_1_1dht_1_1IMessage.md) > | **[Ptr_t](Classes/structllarp_1_1dht_1_1IMessage.md#using-ptr-t)**  |

**Public Functions inherited from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IMessage](Classes/structllarp_1_1dht_1_1IMessage.md#function-~imessage)**() =default |
| | **[IMessage](Classes/structllarp_1_1dht_1_1IMessage.md#function-imessage)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & from)<br>construct  |

**Public Attributes inherited from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[From](Classes/structllarp_1_1dht_1_1IMessage.md#variable-from)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathID](Classes/structllarp_1_1dht_1_1IMessage.md#variable-pathid)**  |
| uint64_t | **[version](Classes/structllarp_1_1dht_1_1IMessage.md#variable-version)**  |


## Public Functions Documentation

### function PublishIntroMessage

```cpp
inline PublishIntroMessage(
    const Key_t & from,
    bool relayed_
)
```


### function PublishIntroMessage

```cpp
inline PublishIntroMessage(
    const llarp::service::EncryptedIntroSet & introset_,
    uint64_t tx,
    bool relayed_,
    uint64_t relayOrder_
)
```


### function ~PublishIntroMessage

```cpp
~PublishIntroMessage() override
```


### function BEncode

```cpp
virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::dht::IMessage::BEncode](Classes/structllarp_1_1dht_1_1IMessage.md#function-bencode)


### function DecodeKey

```cpp
virtual bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * val
) override
```


**Reimplements**: [llarp::dht::IMessage::DecodeKey](Classes/structllarp_1_1dht_1_1IMessage.md#function-decodekey)


### function HandleMessage

```cpp
bool HandleMessage(
    llarp_dht_context * ctx,
    std::vector< std::unique_ptr< IMessage >> & replies
) const override
```


## Public Attributes Documentation

### variable MaxPropagationDepth

```cpp
static const uint64_t MaxPropagationDepth;
```


### variable introset

```cpp
llarp::service::EncryptedIntroSet introset;
```


### variable relayed

```cpp
bool relayed = false;
```


### variable relayOrder

```cpp
uint64_t relayOrder = 0;
```


### variable txID

```cpp
uint64_t txID = 0;
```


-------------------------------

Updated on 2023-01-31 at 18:48:37 +0000