---
title: llarp::quic::NullCrypto

---

# llarp::quic::NullCrypto





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[NullCrypto](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-nullcrypto)**() |
| void | **[client_initial](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-client-initial)**([Connection](Classes/classllarp_1_1quic_1_1Connection.md) & conn) |
| void | **[server_initial](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-server-initial)**([Connection](Classes/classllarp_1_1quic_1_1Connection.md) & conn) |
| bool | **[install_tx_handshake_key](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-install-tx-handshake-key)**([Connection](Classes/classllarp_1_1quic_1_1Connection.md) & conn) |
| bool | **[install_tx_key](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-install-tx-key)**([Connection](Classes/classllarp_1_1quic_1_1Connection.md) & conn) |
| bool | **[install_rx_handshake_key](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-install-rx-handshake-key)**([Connection](Classes/classllarp_1_1quic_1_1Connection.md) & conn) |
| bool | **[install_rx_key](Classes/structllarp_1_1quic_1_1NullCrypto.md#function-install-rx-key)**([Connection](Classes/classllarp_1_1quic_1_1Connection.md) & conn) |

## Public Functions Documentation

### function NullCrypto

```cpp
NullCrypto()
```


### function client_initial

```cpp
void client_initial(
    Connection & conn
)
```


### function server_initial

```cpp
void server_initial(
    Connection & conn
)
```


### function install_tx_handshake_key

```cpp
bool install_tx_handshake_key(
    Connection & conn
)
```


### function install_tx_key

```cpp
bool install_tx_key(
    Connection & conn
)
```


### function install_rx_handshake_key

```cpp
bool install_rx_handshake_key(
    Connection & conn
)
```


### function install_rx_key

```cpp
bool install_rx_key(
    Connection & conn
)
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000