---
title: llarp::rpc::UnmapExit

---

# llarp::rpc::UnmapExit





Inherits from [llarp::rpc::RPCRequest](Classes/structllarp_1_1rpc_1_1RPCRequest.md)

## Public Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[request_parameters](Classes/structllarp_1_1rpc_1_1UnmapExit_1_1request__parameters.md)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[UnmapExit](Classes/structllarp_1_1rpc_1_1UnmapExit.md#function-unmapexit)**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr auto | **[name](Classes/structllarp_1_1rpc_1_1UnmapExit.md#variable-name)**  |
| struct [llarp::rpc::UnmapExit::request_parameters](Classes/structllarp_1_1rpc_1_1UnmapExit_1_1request__parameters.md) | **[request](Classes/structllarp_1_1rpc_1_1UnmapExit.md#variable-request)**  |

## Additional inherited members

**Public Functions inherited from [llarp::rpc::RPCRequest](Classes/structllarp_1_1rpc_1_1RPCRequest.md)**

|                | Name           |
| -------------- | -------------- |
| bool | **[is_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-is-bt)**() const |
| void | **[set_bt](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-set-bt)**() |
| void | **[send_response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-send-response)**() |
| void | **[send_response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-send-response)**(nlohmann::json _response) |
| std::optional< oxenmq::Message::DeferredSend > | **[defer](Classes/structllarp_1_1rpc_1_1RPCRequest.md#function-defer)**() |

**Public Attributes inherited from [llarp::rpc::RPCRequest](Classes/structllarp_1_1rpc_1_1RPCRequest.md)**

|                | Name           |
| -------------- | -------------- |
| nlohmann::json | **[response](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response)**  |
| [llarp::rpc::json_binary_proxy](Classes/classllarp_1_1rpc_1_1json__binary__proxy.md) | **[response_hex](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-hex)**  |
| [llarp::rpc::json_binary_proxy](Classes/classllarp_1_1rpc_1_1json__binary__proxy.md) | **[response_b64](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-response-b64)**  |
| std::optional< oxenmq::Message::DeferredSend > | **[replier](Classes/structllarp_1_1rpc_1_1RPCRequest.md#variable-replier)**  |


## Public Functions Documentation

### function UnmapExit

```cpp
inline UnmapExit()
```


## Public Attributes Documentation

### variable name

```cpp
static constexpr auto name = "unmap_exit"sv;
```


### variable request

```cpp
struct llarp::rpc::UnmapExit::request_parameters request;
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000