---
title: llarp/vpn/i_packet_io.hpp

---

# llarp/vpn/i_packet_io.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::vpn](Namespaces/namespacellarp_1_1vpn.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::vpn::I_Packet_IO](Classes/classllarp_1_1vpn_1_1I__Packet__IO.md)**  |




## Source code

```cpp
#pragma once
#include <functional>
#include <llarp/net/ip_packet.hpp>
#include <llarp/util/types.hpp>

namespace llarp::vpn
{
  class I_Packet_IO
  {
   public:
    virtual ~I_Packet_IO() = default;

    virtual void
    Start(){};

    virtual void
    Stop(){};

    virtual net::IPPacket
    ReadNextPacket() = 0;

    virtual bool
    WritePacket(net::IPPacket pkt) = 0;

    virtual int
    PollFD() const = 0;
  };

}  // namespace llarp::vpn
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000
