---
title: llarp/dns/string.hpp

---

# llarp/dns/string.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::dns](Namespaces/namespacellarp_1_1dns.md)**  |




## Source code

```cpp
#pragma once

#include <string>

struct llarp_buffer_t;

namespace llarp
{
  namespace dns
  {
    using name_t = std::string;

    bool
    decode_name(llarp_buffer_t* buf, name_t& name);

    bool
    encode_name(llarp_buffer_t* buf, const name_t& name);

  }  // namespace dns
}  // namespace llarp
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000
