---
title: llarp/win32/wintun.hpp

---

# llarp/win32/wintun.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::vpn](Namespaces/namespacellarp_1_1vpn.md)**  |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |
| **[llarp::win32::wintun](Namespaces/namespacellarp_1_1win32_1_1wintun.md)**  |




## Source code

```cpp
#pragma once

#include <memory>

namespace llarp
{
  struct AbstractRouter;
}

namespace llarp::vpn
{
  struct InterfaceInfo;
  class NetworkInterface;
}  // namespace llarp::vpn

namespace llarp::win32::wintun
{
  std::shared_ptr<vpn::NetworkInterface>
  make_interface(const vpn::InterfaceInfo& info, AbstractRouter* router);

}  // namespace llarp::win32::wintun
```


-------------------------------

Updated on 2023-01-31 at 18:48:38 +0000
